package db

import "time"

type TaJobs struct {
	JobId       int       `xorm:"int(11) pk autoincr notnull 'job_id' comment('任务ID')"`
	Application string    `xorm:"text 'application' comment('应用名称')"`
	Description string    `xorm:"text 'description' comment('任务描述')"`
	Content     string    `xorm:"text 'content' comment('任务内容')"`
	AtTime      string    `xorm:"int(11) null 'at_time' comment('定时器,指定时间')"`
	Interval    int       `xorm:"int(11) null 'interval' comment('定时器,单位分钟')"`
	LastTime    time.Time `xorm:"datetime null 'last_time' comment('上次执行时间')"`
	LastResult  string    `xorm:"text null 'last_result' comment('上次执行结果')"`
}

func (m *TaJobs) TableName() string {
	return "ta_jobs"
}
